## NAME

db.columns - list all columns for a given table.

## SYNOPSIS

db.columns
db.columns help
db.columns table=string [driver=string] [database=string]

### Parameters:

table=string
  table name
driver=string
  driver name
  Options: dbf,pg,ogr
database=string
  database name

## DESCRIPTION

db.columns lists all columns for a give table. Connection to databases are supported through dbf, shp, odbc and pg drivers.

## NOTE

If parameters for database connection are already set with db.connect, they are taken as default values and do not need to be spcified each time.

## EXAMPLE

List columns from PostgreSQL attribute table
db.columns table=markveggy driver=odbc database=grass51test

If database parameters are already set
db.columns table=markveggy

List columns from Shape file with DBF attribute table
db.columns table=network driver=dbf database=/daten/grassdata/fire/PERMANENT/dbf/

## SEE ALSO

db.connect, db.describe, db.drivers, db.droptable, db.execute, db.login, db.tables, GRASS SQL interface

## AUTHOR

Radim Blazek, ITC-Irst, Trento, Italy

Last changed: $Date: 2004/12/08 13:45:39 $

Help Index